For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesWhite-labelAPI Reference
GuidesWhite-labelAPI Reference
  • Panic API Reference
      • GETList fixed locations
      • POSTCreate a fixed location
      • GETGet a fixed location
      • PUTUpdate a fixed location
      • DELDelete a fixed location
      • POSTRaise a fixed-location callout
    • Errors & status codes
LogoLogo
Panic API ReferenceFixed Locations

List fixed locations

GET
/panic-api/v2/predefinedLocations
GET
/panic-api/v2/predefinedLocations
$curl https://staging-panic.aura.services/panic-api/v2/predefinedLocations \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": 99001,
4 "name": "Long Street Store",
5 "externalReferenceId": "STORE-001",
6 "latitude": -33.9249,
7 "longitude": 18.4241,
8 "customerId": 1
9 }
10]
Lists fixed locations for the authenticated customer source.
Was this page helpful?
Previous

Create a fixed location

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Fixed locations.
idinteger
namestring
externalReferenceIdstring
latitudedouble
longitudedouble
customerIdinteger or null

Errors

401
Unauthorized Error